<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: BookAdderDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_book_adder_dialog.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_book_adder_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">BookAdderDialog Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_book_adder_dialog_8h_source.html">BookAdderDialog.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for BookAdderDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_book_adder_dialog__inherit__graph.png" border="0" usemap="#_book_adder_dialog_inherit__map" alt="Inheritance graph"/></div>
<map name="_book_adder_dialog_inherit__map" id="_book_adder_dialog_inherit__map">
<area shape="rect" id="node2" href="class_book_details_dialog.html" title="BookDetailsDialog" alt="" coords="5,80,136,107"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for BookAdderDialog:</div>
<div class="dyncontent">
<div class="center"><img src="class_book_adder_dialog__coll__graph.png" border="0" usemap="#_book_adder_dialog_coll__map" alt="Collaboration graph"/></div>
<map name="_book_adder_dialog_coll__map" id="_book_adder_dialog_coll__map">
<area shape="rect" id="node2" href="class_book_details_dialog.html" title="BookDetailsDialog" alt="" coords="11,200,141,227"/>
<area shape="rect" id="node4" href="class_inline_label.html" title="InlineLabel" alt="" coords="99,81,183,108"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a4c2c660a8ab2119353fc5ef4eb98ed7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_adder_dialog.html#a4c2c660a8ab2119353fc5ef4eb98ed7f">getAddBookToLibraryRequest</a> (bool ok)</td></tr>
<tr class="separator:a4c2c660a8ab2119353fc5ef4eb98ed7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bf1cd8438202fc202db47356ad97f81"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_adder_dialog.html#a6bf1cd8438202fc202db47356ad97f81">addNewBookToLibrary</a> ()</td></tr>
<tr class="separator:a6bf1cd8438202fc202db47356ad97f81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_slots_class_book_details_dialog"><td colspan="2" onclick="javascript:toggleInherit('pub_slots_class_book_details_dialog')"><img src="closed.png" alt="-"/>&#160;Public Slots inherited from <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td></tr>
<tr class="memitem:aca2c15a4195ba11ef8933843f4da4597 inherit pub_slots_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#aca2c15a4195ba11ef8933843f4da4597">getDetailsAboutBookRequest</a> (<a class="el" href="class_book.html">Book</a> book, bool isReservedByUser, bool isInUserWishlist)</td></tr>
<tr class="separator:aca2c15a4195ba11ef8933843f4da4597 inherit pub_slots_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a81006d1d02155534227b834f6e071985"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_adder_dialog.html#a81006d1d02155534227b834f6e071985">sendAddBookToLibraryRequest</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a81006d1d02155534227b834f6e071985"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header signals_class_book_details_dialog"><td colspan="2" onclick="javascript:toggleInherit('signals_class_book_details_dialog')"><img src="closed.png" alt="-"/>&#160;Signals inherited from <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td></tr>
<tr class="memitem:ad349bcf5e6d958d07e29b355546b00db inherit signals_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#ad349bcf5e6d958d07e29b355546b00db">sendDetailsAboutBookRequest</a> (QString isbn)</td></tr>
<tr class="separator:ad349bcf5e6d958d07e29b355546b00db inherit signals_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35bf59a7e3ba3ea906a9630235316a27"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_adder_dialog.html#a35bf59a7e3ba3ea906a9630235316a27">BookAdderDialog</a> (QWidget *parent=0)</td></tr>
<tr class="separator:a35bf59a7e3ba3ea906a9630235316a27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bac0a00b992ed55d481a7e5b879df5e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_book.html">Book</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_adder_dialog.html#a0bac0a00b992ed55d481a7e5b879df5e">getBook</a> ()</td></tr>
<tr class="separator:a0bac0a00b992ed55d481a7e5b879df5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_book_details_dialog"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_book_details_dialog')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td></tr>
<tr class="memitem:a97b435e949ba67130e831d5e114feb0f inherit pub_methods_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a97b435e949ba67130e831d5e114feb0f">BookDetailsDialog</a> (bool isReadOnly=true, QWidget *parent=0)</td></tr>
<tr class="separator:a97b435e949ba67130e831d5e114feb0f inherit pub_methods_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583234f5606f7be26ec2dbde8767ba75 inherit pub_methods_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a583234f5606f7be26ec2dbde8767ba75">setBookId</a> (QString isbn)</td></tr>
<tr class="separator:a583234f5606f7be26ec2dbde8767ba75 inherit pub_methods_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1709550d11aeb5194c5448221a9acc72 inherit pub_methods_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_book.html">Book</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a1709550d11aeb5194c5448221a9acc72">getBook</a> ()</td></tr>
<tr class="separator:a1709550d11aeb5194c5448221a9acc72 inherit pub_methods_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_class_book_details_dialog"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_book_details_dialog')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td></tr>
<tr class="memitem:a316d30d906e4b5706309ac7d777e68b1 inherit pro_methods_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_book_details_dialog.html#a316d30d906e4b5706309ac7d777e68b1">populate</a> (<a class="el" href="class_book.html">Book</a> book)</td></tr>
<tr class="separator:a316d30d906e4b5706309ac7d777e68b1 inherit pro_methods_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_book_details_dialog"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_book_details_dialog')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_book_details_dialog.html">BookDetailsDialog</a></td></tr>
<tr class="memitem:a0b4cfc2def903fd2dd0a7af1d9b3cfca inherit pro_attribs_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b4cfc2def903fd2dd0a7af1d9b3cfca"></a>
QString&#160;</td><td class="memItemRight" valign="bottom"><b>bookIsbn</b> = &quot;&quot;</td></tr>
<tr class="separator:a0b4cfc2def903fd2dd0a7af1d9b3cfca inherit pro_attribs_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8ffc8da92e7cdd940d42281711837bc inherit pro_attribs_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8ffc8da92e7cdd940d42281711837bc"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>isbnLabel</b></td></tr>
<tr class="separator:ac8ffc8da92e7cdd940d42281711837bc inherit pro_attribs_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8ef4c4fa853270384476024d6555b76 inherit pro_attribs_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8ef4c4fa853270384476024d6555b76"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>titleLabel</b></td></tr>
<tr class="separator:af8ef4c4fa853270384476024d6555b76 inherit pro_attribs_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92087f561a05f21cc70781a428369d19 inherit pro_attribs_class_book_details_dialog"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92087f561a05f21cc70781a428369d19"></a>
<a class="el" href="class_inline_label.html">InlineLabel</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>descriptionLabel</b></td></tr>
<tr class="separator:a92087f561a05f21cc70781a428369d19 inherit pro_attribs_class_book_details_dialog"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a35bf59a7e3ba3ea906a9630235316a27"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BookAdderDialog::BookAdderDialog </td>
          <td>(</td>
          <td class="paramtype">QWidget *&#160;</td>
          <td class="paramname"><em>parent</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>New dialog </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent widget to show dialog in </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>new dialog</dd></dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a6bf1cd8438202fc202db47356ad97f81"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookAdderDialog::addNewBookToLibrary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p>

</div>
</div>
<a class="anchor" id="a4c2c660a8ab2119353fc5ef4eb98ed7f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookAdderDialog::getAddBookToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>ok</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ok</td><td>true iff operation went well </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a0bac0a00b992ed55d481a7e5b879df5e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_book.html">Book</a> BookAdderDialog::getBook </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Builds book with fields set in dialog </p><dl class="section return"><dt>Returns</dt><dd>book </dd></dl>

</div>
</div>
<a class="anchor" id="a81006d1d02155534227b834f6e071985"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void BookAdderDialog::sendAddBookToLibraryRequest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_book.html">Book</a>&#160;</td>
          <td class="paramname"><em>book</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sends request to backend to add new book to library </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">book</td><td>new book to add to library </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>gui/dialogs/BookAdderDialog/<a class="el" href="_book_adder_dialog_8h_source.html">BookAdderDialog.h</a></li>
<li>gui/dialogs/BookAdderDialog/BookAdderDialog.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_book_adder_dialog.html">BookAdderDialog</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
